Bug 854926 - [rhevm-reports] - Reports - Always show last "Date Range" and its related data (no matter what is selected in IC)
[rhevm-reports] - Reports - Always show last "Date Range" and its related dat...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
Depends On:
  Show dependency treegraph
Reported: 2012-09-06 06:24 EDT by David Botzer
Modified: 2016-02-10 14:24 EST (History)
9 users (show)

See Also:
Fixed In Version: SI22.1 - rhevm-reports-3.1.0-18.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, when generating reports for a specific date range, the most recent date range was used, regardless of the date range selected from the input control window. The value selected in the input control window is now used to generate reports.
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 13:19:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
wrong-dateRange (66.25 KB, image/png)
2012-09-06 06:24 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-09-06 06:24:34 EDT
Created attachment 610250 [details]

Description of problem:
For any Report based on Date Range, when selecting Period Range and not the lastest date, 
the report will display the Latest Date instead, in Date Range headline in the report.
And its corresponding data

Version-Release number of selected component (if applicable):
3.1/ SI17

How reproducible:

Steps to Reproduce:
1.install rhevm+dwh+report
2.create 1 entity of a kind
3.gather some data for minimum 2d
4.run some reports based on Date range
Actual results:
The Selected Date range and the one that is displayed are not the same
it always shows the latest Date Range and its data

Expected results:
should display the correct selected Date range and its data

Additional info:
Comment 1 Yaniv Lavi 2012-09-06 08:27:49 EDT
Correction to the problem:
No matter what dates the user selects only the top value in the IC is selected. This is also displyed in the critiria as said above.
Comment 2 Yaniv Lavi 2012-09-06 08:55:50 EDT
Posted patch for this:

Comment 4 David Botzer 2012-09-30 02:55:59 EDT
Fixed, 3.1/si19.1
Can change date and data is displayed accordingly
Fixed, 3.1/si19.1
Comment 5 Yaniv Lavi 2012-10-22 09:14:42 EDT
Regression found in SI21.
Reopening this issue.

Comment 6 Yaniv Lavi 2012-10-22 09:34:08 EDT
Opened blocking case with jasper Case Number 00029206.

Comment 7 Yaniv Lavi 2012-10-24 04:54:30 EDT
Fixed in patch upstream:

and downstream:

Comment 8 David Botzer 2012-10-24 10:23:16 EDT
Fixed, 3.1/si22.1
Can change date and data is displayed accordingly for daily
on both remote and local
Fixed, 3.1/si22.1
Comment 10 errata-xmlrpc 2012-12-04 13:19:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.